import java.sql.*;
import oracle.jdbc2.*;
import oracle.sql.*;
import java.io.*;

class blobinsert {
  public static void main(String argv[]) {
    try {
      String url = "jdbc:oracle:thin:@aspen.csit.fsu.edu:1521:aspen";
      String query, condition;
      int	i;

      Class.forName( "oracle.jdbc.driver.OracleDriver" ); 

      System.out.println("Please enter information to connection to the database");
      String user;
      String password;

      user = readEntry ("user: ");
      password = readEntry ("password: ");

      Connection conn = 
        DriverManager.getConnection(url, user, password);

      Statement stat = conn.createStatement();

      BLOB blob;

      query = "select * from xmltest where id=1";
      ResultSet rs = stat.executeQuery(query);
      blob = (BLOB)rs.getBlob(2);

      File binaryFile = new File("car1.xml");
      System.out.println("car1.xml length = " + binaryFile.length());
      FileInputStream instream = new FileInputStream(binaryFile);
      OutputStream outstream = blob.getBinaryOutputStream();

      int size = blob.getBufferSize();
      byte[] buffer = new byte[size];
      int length = -1;

      while ((length = instream.read(buffer)) != -1)
        outstream.write(buffer, 0, length);
      instream.close();
      outstream.close();
      /*
        while ( rs.next() ) {
	        String s1 = rs.getString(1);
	        System.out.println(s1+"*");
        }
      */
      conn.close();
      System.out.println("End of xmlinsert");
    } catch ( Exception e ) {
      System.err.println("Exception: "+e);
      e.printStackTrace();
    }
  }

  static String readEntry (String prompt) {
    try {
      StringBuffer buffer = new StringBuffer();
      System.out.print (prompt);
      System.out.flush();
      int c = System.in.read();
      while (c != '\n' && c !=-1) {
        buffer.append ((char)c);
        c = System.in.read();
      }
      return buffer.toString().trim();
    }
    catch (IOException e) {
      return "";
    }
  }
}
